
        /*--------------------------------
        TABLAS
----------------------------------*/

table{
    width:100%;
    overflow: scroll;
    border-collapse: collapse;
    margin-top:20px;border-radius:5px;overflow:hidden;
    box-shadow: 0 1px 100 rgba(22, 8, 43, 0.5);
}

thead{
    width:100%;
    color:var(--negro);
    text-align:left;
}

body.dark thead{
    background-color:var(--blanco);
}


thead tr{
    transition: all eas .5s;
}

body.dark thead tr:hover{
    background-color:var(--blanco);
}

thead tr:hover{
    background-color:var(--blanco);
}


thead tr th{
    padding:10px;border-bottom:0.5px solid var(--grisoscuro);
}



tbody{
    text-align:left;
}

body.dark tbody{color:var(--blanco);}
tbody tr td{
    padding:10px;
    border-bottom:2px solid var(--grisclaro);
}

body.dark tbody tr td{
    border-bottom:2px solid var(--grisoscuro4);
}


tbody tr td img{
    max-width:120px;
}

tbody tr{
    transition:all ease .3s;
    font-size:13px;
}

tr:hover{
    background-color:#FDFAFA;
}

body.dark tr:hover{
    background-color:var(--grisoscuro4);
}



.Titleh1{
    font-size:25px;
    margin:0;padding:0;
    padding-top:80px;padding-bottom:0px;
}
.container{
    width:100%;
    max-width:1400px;
    padding:20px;
    margin:auto;
    display:flex;
    justify-content:space-around;
    flex-wrap:wrap;
}

.containerTable{
    width:85%;
}

.containerResumencontain{
    width:25%;padding:20px;
}

.containerResumen{
    height:auto;
    box-shadow: 0px 0px 3px 0px var(--grisoscuro);
}

.containerResumen .titleResumen{
    font-size:25px;
    font-weight:500;
    text-align:center;
    padding:8px;
    margin-top:-4px;
    margin-bottom:5px;
    background-color: var(--grisclaro);
}

body.dark  .containerResumen .titleResumen{
    background-color: var(--grisoscuro4);
}


.containImgNombre{
    display:flex;
}

.containImgNombre .imgcarritoProduct{
    width:90px;
    height:100px;
    margin-right:10px;
}

.containImgNombre h2{
    font-size:15px;
    font-weight:400;
    margin-top:5px;
    text-align:left;
}

/*Aviso del delivery variable*/
.avisoPreFormDireccion{color:var(negro)}
body.dark .avisoPreFormDireccion{color:var(--blanco)}

/*Title formulario*/
.controlptitleregistropre{
    text-align:center;
}

body.dark .controlptitleregistropre{
    color: var(--blanco);
}

/* Botón para remover del carrito de pedidos */

.iconRemoveProductCarritoHars{
    padding: 12px 15px;
    height: 42px;
    margin: auto 10px;
    margin-right: 15px;
    border-radius:50%;color:var(--grisoscuro4);transition:all ease .3s;font-size:15px;
    cursor:pointer; border:1px solid silver;
}

.iconRemoveProductCarritoHars:hover{
    border:1px solid var(--negro);color:var(--negro);
}

body.dark .iconRemoveProductCarritoHars{
    border-radius:50%;color:var(--blanco);color:var(--blanco);
}

body.dark .iconRemoveProductCarritoHars:hover{
    border-radius:50%;color:var(--blanco);color:var(--blanco);
}



.flexinteriorResumen{
    display:flex;
    justify-content:space-between;
    padding:10px 0px;
}

.titledentroFlexResumen{
    font-weight:600;font-size:19px;
}



.btn-deleteall{
    width:200px;
    height:50px;
    text-decoration:none;
    display:flex;
    justify-content:center;
    align-items:center;
    transition:all ease .3s;
    border:1px solid var(--grisoscuro4);
    color:var(--grisoscuro4);
    margin-top:20px;margin-bottom:20px;
}

.btn-deleteall:hover{
    background-color:var(--negro);
    border:1px solid var(--negro);
    color:var(--blanco);
}


body.dark .btn-deleteall { border:1px solid var(--blanco); color:var(--blanco);}
body.dark .btn-deleteall:hover {
    background-color:var(--blanco);
    border:1px solid var(--blanco);
    color:var(--negro);
}


.btn-continuar{
    width:100%;
    height:50px;
    text-decoration:none;
    display:flex;
    justify-content:center;
    align-items:center;
    transition:all ease .3s;
    background-color:var(--verde);
    color:var(--blanco);
}

.btn-continuar:hover{
    background-color:var(--verdeazul);
}


body.dark .btn-continuar {background-color:var(--secundario);}
body.dark .btn-continuar:hover {background-color:var(--verdeazul);}




.btn-hacerpedido{
    width:300px;
    height:50px;
    text-decoration:none;
    display:flex;font-size:16px;
    justify-content:center;
    border:none;cursor:pointer;
    outline:none;
    align-items:center;
    transition:all ease .3s;
    background-color:var(--verde);
    color:var(--blanco);
    margin:20px;
}

.btn-hacerpedido:hover{
    background-color:var(--verdeazul);
}


body.dark .btn-hacerpedido {background-color:var(--secundario);}
body.dark .btn-hacerpedido:hover {background-color:var(--verdeazul);}

.colorInverterBodyDark{
    color:var(--negro);
}
body.dark .colorInverterBodyDark{
    color:var(--blanco);
}



body.dark .containerResumen{color:var(--blanco);} 


.flexinteriorProductoItem{
    display: flex;
    padding-top:10px;padding-bottom:10px;
    border-bottom:1px solid var(--grisclaro);
}

.imgproductoitemresumen{
    width:80px;height:80px;
    margin-right:20px;
}
.imgproductoitemresumen img{
    width:100%;height:100%;
}

.infoproductoitemresumen{
    width:auto;
}

.titleitemproducto{
    font-weight:500;font-size:14px;padding-bottom:5px;
}

.minititle{
    font-weight:500;font-size:13px;padding-right:10px;
}

.unidadesitemproducto{
    font-weight:500;font-size:13px;
}


